org.gradle.external.javadoc

## Class JavadocOfflineLink

- java.lang.Object
- - org.gradle.external.javadoc.JavadocOfflineLink

-     public class JavadocOfflineLink
      extends Object

  This class is used to hold the information that can be provided to the javadoc executable via the -linkoffline option.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JavadocOfflineLink(String extDocUrl, String packagelistLoc)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getExtDocUrl()`
    `String` | `getPackagelistLoc()`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### JavadocOfflineLink

          public JavadocOfflineLink(String extDocUrl,
                            String packagelistLoc)

  - ### Method Detail

    - #### getExtDocUrl

          public String getExtDocUrl()

    - #### getPackagelistLoc

          public String getPackagelistLoc()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`